[project]
requires-python = ">=3.13"
name = "kontor-scripts"
version = "0.1.0"
readme = "README.md"
authors = [
    {name = "Thomas Peetz", email = "thomas.peetz@thpeetz.de"}
]
maintainers = [
    {name = "Thomas Peetz", email = "thomas.peetz@thpeetz.de"}
]
dependencies = [
    "beautifulsoup4>=4.13.4",
    "coverage>=7.8.0",
    "fastapi[standard]>=0.115.12",
    "pathlib>=1.0.1",
    "platformdirs>=4.3.7",
    "proton>=0.9.1",
    "psycopg2-binary>=2.9.10",
    "pytest-cov>=6.1.1",
    "python-qpid-proton>=0.40.0",
    "pyyaml>=6.0.2",
    "requests>=2.32.3",
    "sqlalchemy>=2.0.40",
    "sqlmodel>=0.0.24",
    "stomp.py",
]
